Loading...
Searching...
No Matches
BALL::SolventParameter Class Reference
Molecular Modeling » Solvation methods

`#include <BALL/SOLVATION/solventParameter.h>`

Inheritance diagram for BALL::SolventParameter:

## Public Member Functions

Constructors and destructors.
| SolventParameter ()
| SolventParameter (const SolventParameter &param)
| SolventParameter (const AtomTypes &atom_types)
virtual | ~SolventParameter ()
Assignment
const SolventParameter & | operator= (const SolventParameter &param)
virtual void | clear ()
Accessors
const SolventDescriptor & | getSolventDescriptor () const
SolventDescriptor & | getSolventDescriptor ()
const String & | getSolventName () const
const float & | getSolventDensity () const
const std::vector< SolventAtomDescriptor > & | getSolventDescription () const
Public Member Functions inherited from BALL::ParameterSection
| ParameterSection ()
| ParameterSection (const ParameterSection &parameter_section)
virtual | ~ParameterSection ()
bool | extractSection (Parameters &parameters, const String &section_name)
const String & | getSectionName () const
const String & | getValue (const String &key, const String &variable) const
bool | has (const String &key, const String &variable) const
bool | has (const String &key) const
bool | hasVariable (const String &variable) const
Position | getColumnIndex (const String &variable) const
Size | getNumberOfVariables () const
Size | getNumberOfKeys () const
const String & | getValue (Position key_index, Position variable_index) const
const String & | getKey (Position key_index) const
const ParameterSection & | operator= (const ParameterSection &section)
virtual bool | isValid () const
bool | operator== (const ParameterSection &parameter_section) const

## Predicates

String | name_
float | number_density_
std::vector< SolventAtomDescriptor > | solvent_atoms_
SolventDescriptor | solvent_descriptor_
AtomTypes | atom_types_
bool | operator== (const SolventParameter &param) const
virtual bool | extractSection (Parameters &parameters, const String &section_name)

## Additional Inherited Members

Public Types inherited from BALL::ParameterSection
enum | { MAX_FIELDS = 20 }
Options | options
Static Public Attributes inherited from BALL::ParameterSection
static const String | UNDEFINED
String | section_name_
String | format_line_
StringHashMap< Index > | section_entries_
StringHashMap< Index > | variable_names_
std::vector< String > | entries_
std::vector< String > | keys_
Size | number_of_variables_
std::vector< float > | version_
bool | valid_

## Detailed Description

Parameter section for the solvent description. This class provides parameter file interface for the SolventDescriptor class ( SolventDescriptor ).

Definition at line 33 of file solventParameter.h.

## Constructor & Destructor Documentation

## SolventParameter() [1/3]

BALL::SolventParameter::SolventParameter | ( |  | ) |

Default constructor

## SolventParameter() [2/3]

BALL::SolventParameter::SolventParameter | ( | const SolventParameter & | param | ) |

Copy constructor

## SolventParameter() [3/3]

BALL::SolventParameter::SolventParameter | ( | const AtomTypes & | atom_types | ) |

## ~SolventParameter()

virtual BALL::SolventParameter::~SolventParameter | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::SolventParameter::clear | ( |  | ) |

virtual

Clear method

Reimplemented from BALL::ParameterSection.

## extractSection()

virtual bool BALL::SolventParameter::extractSection | ( | Parameters & | parameters,
|  | const String & | section_name )

virtual

## getSolventDensity()

const float & BALL::SolventParameter::getSolventDensity | ( |  | ) | const

Return the solvents density

## getSolventDescription()

const std::vector< SolventAtomDescriptor > & BALL::SolventParameter::getSolventDescription | ( |  | ) | const

Return the SolventDescription

## getSolventDescriptor() [1/2]

SolventDescriptor & BALL::SolventParameter::getSolventDescriptor | ( |  | ) |

Return a SolventDescriptor with the values from the parameter file. Muteable version.

## getSolventDescriptor() [2/2]

const SolventDescriptor & BALL::SolventParameter::getSolventDescriptor | ( |  | ) | const

Return a SolventDescriptor with the values from the parameter file

## getSolventName()

const String & BALL::SolventParameter::getSolventName | ( |  | ) | const

Return the name of the SolventDescriptor

## operator=()

const SolventParameter & BALL::SolventParameter::operator= | ( | const SolventParameter & | param | ) |

Assignment operator

## operator==()

bool BALL::SolventParameter::operator== | ( | const SolventParameter & | param | ) | const

Equality operator

## Member Data Documentation

## atom_types_

AtomTypes BALL::SolventParameter::atom_types_

protected

Definition at line 138 of file solventParameter.h.

## name_

String BALL::SolventParameter::name_

protected

Definition at line 122 of file solventParameter.h.

## number_density_

float BALL::SolventParameter::number_density_

protected

Definition at line 126 of file solventParameter.h.

## solvent_atoms_

std::vector<SolventAtomDescriptor> BALL::SolventParameter::solvent_atoms_

protected

Definition at line 130 of file solventParameter.h.

## solvent_descriptor_

SolventDescriptor BALL::SolventParameter::solvent_descriptor_

protected

Definition at line 134 of file solventParameter.h.